From: Adrian Bunk [bunk@stusta.de]
Sent: Friday, September 02, 2005 5:17 PM
To: Brown, Len
Cc: acpi-devel@lists.sourceforge.net; linux-kernel
Subject: [-mm patch] drivers/acpi/: make needlessly global functions
static

This patch makes some needlesly global functions static.


Signed-off-by: Adrian Bunk <bunk@stusta.de>

Index: linux-acpi-2.6/drivers/acpi/osl.c
===================================================================
--- linux-acpi-2.6.orig/drivers/acpi/osl.c
+++ linux-acpi-2.6/drivers/acpi/osl.c
@@ -1040,7 +1040,7 @@ static int __init acpi_wake_gpes_always_
 
 __setup("acpi_wake_gpes_always_on", acpi_wake_gpes_always_on_setup);
 
-int __init acpi_hotkey_setup(char *str)
+static int __init acpi_hotkey_setup(char *str)
 {
 	acpi_specific_hotkey_enabled = FALSE;
 	return 1;
Index: linux-acpi-2.6/drivers/acpi/pci_bind.c
===================================================================
--- linux-acpi-2.6.orig/drivers/acpi/pci_bind.c
+++ linux-acpi-2.6/drivers/acpi/pci_bind.c
@@ -44,7 +44,8 @@ struct acpi_pci_data {
 	struct pci_dev *dev;
 };
 
-void acpi_pci_data_handler(acpi_handle handle, u32 function, void *context)
+static void acpi_pci_data_handler(acpi_handle handle, u32 function,
+				  void *context)
 {
 	ACPI_FUNCTION_TRACE("acpi_pci_data_handler");
 
Index: linux-acpi-2.6/drivers/acpi/processor_core.c
===================================================================
--- linux-acpi-2.6.orig/drivers/acpi/processor_core.c
+++ linux-acpi-2.6/drivers/acpi/processor_core.c
@@ -221,7 +221,7 @@ static int acpi_processor_errata_piix4(s
 	return_VALUE(0);
 }
 
-int acpi_processor_errata(struct acpi_processor *pr)
+static int acpi_processor_errata(struct acpi_processor *pr)
 {
 	int result = 0;
 	struct pci_dev *dev = NULL;
Index: linux-acpi-2.6/drivers/acpi/scan.c
===================================================================
--- linux-acpi-2.6.orig/drivers/acpi/scan.c
+++ linux-acpi-2.6/drivers/acpi/scan.c
@@ -527,7 +527,7 @@ acpi_bus_driver_init(struct acpi_device 
 	return_VALUE(0);
 }
 
-int acpi_start_single_object(struct acpi_device *device)
+static int acpi_start_single_object(struct acpi_device *device)
 {
 	int result = 0;
 	struct acpi_driver *driver;
